[SOLVED]Usbdevfs err,impossible to mount any Samsung Device

Questions about hardware and drivers
Forum rules
Before you post please read this

[SOLVED]Usbdevfs err,impossible to mount any Samsung Device

Postby AsciiCode77 on Wed Nov 27, 2013 7:42 am

Hello to everyone, i'm a new LinuxMint's user and i need a little help to solve a very boring problem.
But first please forgive my mistake, my english is not skilled enough :oops: However, last week i installed on my old notebook (a wonderful Asus L3000D :D ) the lastest LMDE 32bit with Mate (the cinnamon is too heavy for this notebook). i'm happy to say that everything work fine except one little annoyng problem: i cannot mount anyone of my Samsung device [a table GalxyTab P1000 and a Galxy Mini2 (Gt-S6500)].
The Desktop environment recognize the device infact in "Computer" i can see the two storage devices but if i try to open nothing happens. if i do right click ->Proprietis i can read the correct device's ModelName but the type is "Unknow (application/octet-stream)". The same happen with the usb pen drive but the system mount the device correctly using the fuseblk type :shock: .
Looking for a solution on the web with the help of uncle google i've understand that the problem seem to be the usbdevfs or usbfs module not compilend in the kernel :? .
I've no idea howto procede to fix the problem. Could someone help me?
I'll be glady to provide more information if necessary and waiting for a reply i wish a good day to everyone :D
Last edited by AsciiCode77 on Wed Dec 04, 2013 4:43 pm, edited 1 time in total.
AsciiCode77
Level 1
Level 1
 
Posts: 3
Joined: Tue Nov 26, 2013 7:32 pm
Location: Italy

Linux Mint is funded by ads and donations.
 

Re: Usbdevfs error,impossible to mount any Samsung Device

Postby Monsta on Tue Dec 03, 2013 2:16 pm

Check this thread. If it doesn't help, try also this one.
Monsta
Level 8
Level 8
 
Posts: 2022
Joined: Fri Aug 19, 2011 3:46 am

Re: Usbdevfs error,impossible to mount any Samsung Device

Postby AsciiCode77 on Tue Dec 03, 2013 5:26 pm

Monsta wrote:Check this thread. If it doesn't help, try also this one.

Thanks for your reply :). I had already read the first post but the second one was new to me. However i'm afraid to say that I've tried all the suggestions but the result is always the same.
I'm working to try the gvfs downgrade but the terminal always prompt the message:
Version '1.12.3-4' for 'gvfs' was not found
Version '1.12.3-4' for 'gvfs-backends' was not found
Version '1.12.3-4' for 'gvfs-bin' was not found
Version '1.12.3-4' for 'gvfs-common' was not found
Version '1.12.3-4' for 'gvfs-daemons' was not found
Version '1.12.3-4' for 'gvfs-libs' was not found
I've added the backport option in the update manager and manually add the " deb http://ftp.debian.org/debian/ wheezy-backports main" that is the only one that i've found.
I'll try again and i'll wait for some divine help :)
thanks again
M.
AsciiCode77
Level 1
Level 1
 
Posts: 3
Joined: Tue Nov 26, 2013 7:32 pm
Location: Italy

Re: Usbdevfs error,impossible to mount any Samsung Device

Postby kurotsugi on Tue Dec 03, 2013 6:21 pm

the old packages are on wheezy, not backport. the correct line should be 'deb http://ftp.debian.org/debian/ wheezy main'. we'll also need to run 'sudo apt-get update' to update the package info.
kurotsugi
Level 5
Level 5
 
Posts: 705
Joined: Fri Jan 25, 2013 3:54 am

Re: Usbdevfs error,impossible to mount any Samsung Device

Postby AsciiCode77 on Wed Dec 04, 2013 4:38 pm

Eureka :D finally it's working. A very very very very very very very very very very very very very very big and sincere thank at all. i've tried different time without succes :oops: .
the solution was very simple: put manually the correct repository "deb http://ftp.debian.org/debian/ wheezy main" in the source.list and then update the repository following the kurotsugi's suggestion, then with the command
Code: Select all
sudo apt-get install gvfs=1.12.3-4 gvfs-backends=1.12.3-4 gvfs-bin=1.12.3-4 gvfs-common=1.12.3-4 gvfs-daemons=1.12.3-4 gvfs-libs=1.12.3-4
that palimmo and Monsta have wrote in the post http://forums.linuxmint.com/viewtopic.php?f=198&t=146187 the downgrade was completed.
Always following their suggestions I've marked as hold the packages with the command
Code: Select all
sudo apt-mark hold gvfs gvfs-backends gvfs-bin gvfs-common gvfs-daemons gvfs-libs
.
Thanks again at all. i'm very happy to use this distro :D.
AsciiCode77
Level 1
Level 1
 
Posts: 3
Joined: Tue Nov 26, 2013 7:32 pm
Location: Italy


Return to Hardware Support

Who is online

Users browsing this forum: No registered users and 7 guests